Skip to content

Get Propagation

GET
/api/creative/lore/ml/propagation/{entry_id}

Compute impact chains for an entry — what it affects and what affects it.

entry_id
required
Entry Id
string
max_depth
Max Depth
integer
default: 3
min_strength
Min Strength
number
default: 0.1
strength_decay
Strength Decay
number
default: 0.7

Successful Response

LoreMLPropagationResponse

Impact chain response — what an entry affects and what affects it.

object
impacts
required
Impacts
Array<object>
LoreMLPropagationImpact

Single impact chain row for GET /ml/propagation/{entry_id}.

object
sourceEntryId
required
Sourceentryid
string
sourceTitle
required
Sourcetitle
string
targetEntryId
required
Targetentryid
string
targetTitle
required
Targettitle
string
targetEntryType
required
Targetentrytype
string
path
required
Path
Array<string>
relationshipTypes
required
Relationshiptypes
Array<string>
depth
required
Depth
integer
strength
required
Strength
number
<= 1
impactType
required
Impacttype
string
total
required
Total
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object